Check the books
GET
/v1/admin/ledger/verify
const url = 'https://api.gampeon.com/v1/admin/ledger/verify';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.gampeon.com/v1/admin/ledger/verify \ --header 'Authorization: Bearer <token>'Every transaction sums to zero, balances match their entries, both hash chains are intact, no user account is negative, and each wallet matches its open purchases.
Requires the role admin.
Not available with access tokens.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Report
Media typeapplication/json
object
ok
required
boolean
transactions
required
integer
entries
required
integer
userCoins
required
Amount in GAMPEONS
integer
issued
required
Issued minus taken back
integer
problems
required
Array<string>
Example generated
{ "ok": true, "transactions": 1, "entries": 1, "userCoins": 1, "issued": 1, "problems": [ "example" ]}Error codes: unauthorized
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}Error codes: forbidden, token_not_allowed
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}